<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class TableBookingHelper {
	
	public static function getActions() {
		
		$user	= JFactory::getUser();
		$result	= new JObject;

		$assetName = 'com_tablebooking';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action,	$user->authorise($action, $assetName));
		}

		return $result;
	}


	public static function getVersion() {

		$config = JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'tablebooking.xml';
		$xml = simplexml_load_file( $config );
		return $xml->version;
	}
}
