<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'restaurant.cancel' || task == 'cpanel' || document.formvalidator.isValid(document.id('restaurant-form'))) {
			Joomla.submitform(task, document.getElementById('restaurant-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=restaurant&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="restaurant-form" class="form-validate form-horizontal">

		<?php $fields = array ('id', 'title', 'published'); foreach ( $fields as $field ) { ?>

			<?php if ( $field == 'table' ) { ?>
				<?php if ( $this->type == 'tables' ) { ?>
					<div class="form-group">
						<label class="control-label col-md-2"> <?php echo $this->form->getLabel('table'); ?> </label>
						<div class="col-md-10">
							<?php echo $this->form->getInput('table'); ?>
						</div>
					</div>
				<?php } ?>
			<?php } else { ?>

		<div class="form-group">
			<label class="control-label col-md-2"> <?php echo $this->form->getLabel( $field ); ?> </label>
			<div class="col-md-10">
				<?php echo $this->form->getInput( $field ); ?>
			</div>
		</div>

		<?php } } ?>
			
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</form>

</div>
