<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controllerform');

class TableBookingControllerTable extends JControllerForm 
{
	
	public function save($key = null, $urlVar = '')
	{	
		if (JFactory::getApplication()->input->get('task') == 'apply')
		{
			$url = JRoute::_('index.php?option=com_tablebooking&view=tables', false);
		}
		else
		{
			$url = JRoute::_('index.php?option=com_tablebooking&view=table&layout=edit', false);
		}

		$result = parent::save($key, $urlVar);

		// If ok, redirect to the return page.
		if ($result)
		{
			$this->setRedirect($url);
		}

		return $result;
	}


    public function setPosition()
    {
        $input = JFactory::getApplication()->input;
        $restaurantId = $input->get('restaurant', 0, 'int');
        $tableId = $input->get('table', 0, 'int');
        $position = $input->get('position', '', 'string');

        if ($restaurantId &&
            TbUser::getInstance()->work->restaurant->id == $restaurantId) {

             JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/tables');
             $table = JTable::getInstance('Table', 'TableBookingTable');
             $table->load($tableId);
             $table->params = $position;
             $table->store();
        }
        exit();
    }
}
