<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=settings', false);?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">
		
		<?php echo TbDisplay::loadMenu() ;?>

		<div id="tb-controls">
		  <div class="col-md-4 pull-left">
		   	<h3><?php echo JText::_('COM_TABLEBOOKING_SETTINGS');?></h3>
		  </div>
		</div>

		<div class="row tbb-action">
			<div class="col-md-12">
				<button class="btn" onclick="document.adminForm.task.value='settings.save';document.adminForm.submit();"><i class="ico ico-accept"></i> <?php echo JText::_('COM_TABLEBOOKING_SAVE');?></button>
			</div>
		</div>

		<div class="tbb-content settings">
		<?php $fieldsets = $this->form->getFieldsets(); foreach ($fieldsets as $fieldset) { ?>
			<div class="well">
			<legend><?php echo JText::_('COM_TABLEBOOKING_SETTINGS_' . strtoupper($fieldset->name));?></legend>
			<?php $fields = $this->form->getFieldset($fieldset->name); foreach ( $fields as $field ) { ?>
				<div class="form-group">
					<label class="control-label col-md-3"> <?php echo $field->label; ?> </label>
					<div class="controls cold-md-9">
						<?php echo $field->fieldname == 'tags' ? JText::_('COM_TABLEBOOKING_NOTIFICATIONS_TAGS') : $field->input; ?>
					</div>
				</div>
			<?php } ?>
			</div>
		<?php } ?>
		</div>

		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
