<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');

?>
<div id="tablebooking">
	
	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=restaurants', false); ?>" method="post" name="adminForm" id="adminForm">
		
		<table class="table table-hover">
				<thead>
					<tr>
					
						<th>
							<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" />
						</th>
						
						<th>
							<?php echo JHtml::_('grid.sort', 'COM_TABLEBOOKING_RESTAURANT_TITLE', 'title', $listDirn, $listOrder); ?>
						</th>
						
						<th>
							<?php echo JHtml::_('grid.sort', 'COM_TABLEBOOKING_RESTAURANT_STATE', 'published', $listDirn, $listOrder); ?>
						</th>
						
						<th>
							<?php echo JText::_('COM_TABLEBOOKING_ID');?>
						</th>
						
					</tr>
				</thead>

				<tbody>
				<?php foreach ($this->items as $i => $item) {
				?>
					<tr>

						<td>
							<?php echo JHtml::_('grid.id', $i, $item->id); ?>
						</td>
						
						<td>
							<a href="index.php?option=com_tablebooking&task=restaurant.edit&id=<?php echo $item->id;?>"><?php echo $this->escape( $item->title ); ?></a>
						</td>
						
						<td>
							<?php echo $item->published ? JText::_('COM_TABLEBOOKING_ACTIVE') : JText::_('COM_TABLEBOOKING_INACTIVE'); ?>
						</td>

						<td>
							<?php echo $item->id;?>
						</td>
					</tr>

				<?php } ?>
				</tbody>
					
				<tfoot>
					<tr>
						<td colspan="4">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
			</table>


		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</form>

</div>
