<?php
/*
 * @component J!Extranet
 * version 6.0 "Xulin"
 * @website : ionutlupu.me
 * @copyright 2014 Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class TablebookingViewUsers extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	protected $jusers;
	protected $restaurants;

	function display($tpl = null) {
		
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->jusers		= $this->get('Jusers'); 
		$this->restaurants	= $this->get('Restaurants');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();
		
		$scheme = JUri::getInstance()->getScheme();

		parent::display($tpl);
	}
	
	
	public function addToolbar() {	

		$canDo	= TableBookingHelper::getActions();
		
		JToolBarHelper::title(   'TableBooking :: ' . JText::_( 'COM_TABLEBOOKING_STAFF' ), '' );	
		
		if ($canDo->get('core.create')) {
			$bar = JToolBar::getInstance('toolbar');

			$title = JText::_('JTOOLBAR_NEW');
			$bar->appendButton('Popup', 'new', 'JTOOLBAR_NEW', 'index.php?option=com_tablebooking&amp;view=users&amp;layout=default_getusers&amp;tmpl=component', 600, 300);
		}
		
		if ($canDo->get('core.delete')) {
			JToolBarHelper::custom('users.delete', 'delete.png', 'delete.png', 'JTOOLBAR_DELETE' , true);
		}

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_tablebooking');
			JToolBarHelper::divider();
		}	
	}
	
}
?>
