<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');

?>

<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=cron&layout=edit&id=' . $this->item->id, false);?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">
		
		<?php echo TbDisplay::loadMenu() ;?>

		<div id="tb-controls">
		  <div class="col-md-4 pull-left">
		   	<h3><?php echo JText::_('COM_TABLEBOOKING_MENU_CRON_JOB');?></h3>
		  </div>
		</div>

		<div class="row tbb-action">
			<div class="col-md-12">
				<button class="btn" onclick="document.adminForm.task.value='cron.apply';document.adminForm.submit();"><i class="ico ico-accept"></i> <?php echo JText::_('COM_TABLEBOOKING_SAVE');?></button>
				<button class="btn" onclick="document.location.href='<?php echo JRoute::_('index.php?option=com_tablebooking&view=crons');?>';return false;"> <i class="ico ico-close"></i> <?php echo JText::_('COM_TABLEBOOKING_CLOSE');?></button>
			</div>
		</div>

		<div class="tbb-content">
			<div class="form-group">
				<label class="control-label col-md-4"> <?php echo $this->form->getLabel('moment_in_time'); ?> </label>
				<div class="controls cold-md-8">
					<?php echo $this->form->getInput('moment_in_time'); ?>
				</div>
			</div>			
			
			<div class="form-group">
				<label class="control-label col-md-4"></label>
				<div class="controls cold-md-8">
					<?php echo $this->form->getInput('x_days'); ?>
					<?php echo JText::_('COM_TABLEBOOKING_DAYS');?>
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-md-4"> <?php echo $this->form->getLabel('reservation_status'); ?> </label>
				<div class="controls cold-md-8">
					<?php echo $this->form->getInput('reservation_status'); ?>
				</div>
			</div>		
			
			<div class="form-group">
				<label class="control-label col-md-4"> <?php echo $this->form->getLabel('cron_subject'); ?> </label>
				<div class="controls cold-md-8">
					<?php echo $this->form->getInput('cron_subject'); ?>
				</div>
			</div>		

			<div class="form-group">
				<label class="control-label col-md-4"> <?php echo $this->form->getLabel('cron_message'); ?> </label>
				<div class="controls cold-md-8">
					<?php echo $this->form->getInput('cron_message'); ?>
				</div>
			</div>		
		</div>

		<?php echo $this->form->getInput( 'id' ); ?>
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
